Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-sparc
Navigation:
Lists: gentoo-sparc: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-sparc@g.o
From: Andrew Gaffney <agaffney@g.o>
Subject: Re: Forcing package check
Date: Sat, 16 Sep 2006 12:33:12 -0500
Paul Heinlein wrote:
> Some time ago, I'd begun to think that perhaps the Gentoo package system 
> on my SPARC had become somewhat corrupted. (Snip long story about 
> SunBlades and IDE corruption...) Queries concerning installed packages 
> seemed to execute correctly, but "emerge -uvD world" seemed to ignore 
> packages that really needed to be upgraded.

This usually happens when this "important package" was installed as a dependency 
of another package, and that other package is no longer installed or just no 
longer depends on the first one. The real solution is to add this important 
package to the world file. If a package isn't listed in the world file and it's 
not a dependency of a package listed in the world file, it won't be caught by 
'emerge -uD world'.

-- 
Andrew Gaffney                            http://dev.gentoo.org/~agaffney/
Gentoo Linux Developer                                   Installer Project
-- 
gentoo-sparc@g.o mailing list


References:
Forcing package check
-- Paul Heinlein
Navigation:
Lists: gentoo-sparc: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
Forcing package check
Next by thread:
glibc-2.4 and gcc-4.1.1 on sparc
Previous by date:
Forcing package check
Next by date:
glibc-2.4 and gcc-4.1.1 on sparc


Updated Jun 17, 2009

Summary: Archive of the gentoo-sparc mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.